Bug 6982 - Don't show MARC21 tag documentation links for NORMARC
Summary: Don't show MARC21 tag documentation links for NORMARC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Target Milestone: ---
Assignee: Magnus Enger
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-06 18:11 UTC by Magnus Enger
Modified: 2012-10-25 23:09 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 6982 - Don't show MARC tag documentation links for NORMARC (4.46 KB, patch)
2011-10-07 11:54 UTC, Magnus Enger
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 6982 - Don't show MARC tag documentation links for NORMARC (4.58 KB, patch)
2011-10-17 19:01 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2011-10-06 18:11:01 UTC
Showing the links to MARC21 tag documentation on the cataloguing screen makes little sense when NORMARC is the chosen MARC dialect. 

The best solution would of course be to link to NORMARC tag documentation instead, but since there is currently no representation of NORMARC on the web where individual tags can be linked to, this will have to wait. 

The solution I will try to implement is to hide the links alltogether.
Comment 1 Magnus Enger 2011-10-06 18:24:52 UTC
Hm, looks like the MARC21 links are shown for UNIMARC as well - does anyone using UNIMARC have an opinion about hiding them for UNIMARC?
Comment 2 dev_patches 2011-10-07 10:32:22 UTC
same feeling for UNIMARC.
Comment 3 Magnus Enger 2011-10-07 11:54:22 UTC Comment hidden (obsolete)
Comment 4 Magnus Enger 2011-10-07 11:55:56 UTC
Sorry, I was mistaken in thinking that the wrong doc links were shown for UNIMARC. This patch only addresses NORMARC.
Comment 5 Katrin Fischer 2011-10-17 19:01:47 UTC
Created attachment 5940 [details] [review]
[SIGNED-OFF] Bug 6982 - Don't show MARC tag documentation links for NORMARC

Links to UNIMARC documentation were being shown when marcflavour =
NORMARC. This patch hides the doc link functionality for NORMARC
by hiding:
1. The checkbox for turning doc links on/off
2. The hyperlinked questionmarks

This patch does not hide e.g. the JavaScript functions related to
the doc link functionality, in order to make it easy to add
doc links for NORMARC in the future (hopefully).

The doc link functionality was passing a variable called MARC21
(based on the contents of the marcflavour syspref) to the
template and testing the value of this to decide if MARC21 or
UNIMARC doc links were to be shown. I have replaced this variable
with he standard/full marcflavour syspref, in order to make it
possible to test for more then two MARC dialects.

To test:
- Set the marcflavour syspref to MARC21, NORMARC and UNIMARC, one
  after the other.
- Check that correct doc links are shown for MARC21 and UNIMARC
  on the cataloguing screen, and that no checkbox and no doc links
  are displayed for NORMARC.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works as described - thx for the great test plan!
Comment 6 Ian Walls 2011-10-18 15:28:59 UTC
Simplifies perl code, and consistently adds more robust support for alternate MARC formats in template.  Marking as Passed QA.

Hopefully we can find a good source for NORMARC documentation that can be included!
Comment 7 Chris Cormack 2011-10-19 03:55:15 UTC
Pushed, please test
Comment 8 Magnus Enger 2012-04-16 15:36:33 UTC
Works in 3.6.4.